@import "./../../../../../static/css/variables";

$height-container-header: 52.8px;

.container-panel.contas-section {
  min-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);
  max-height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);
  height: calc(100vh - $height-header - $height-tabs - $height-footer - $height-actions-area - .75rem);

  .container-header {
    h1 {
      padding: 1rem .5rem .5rem;
      text-align: center;
      font-size: 1.5rem;
      color: #303030;
      text-transform: uppercase;
    }
    .cotainer-header-actions {
      width: 100%;
      display: flex;
      justify-content: space-between;
      padding: .5rem;
      border-bottom: 1px solid lightgray;
      .actions-left {
        display: flex;
        justify-content: space-between;
      }
    }
  }
  .container-body {
    height: calc(100% - $height-container-header - 34px);
    .table-header-fixed {
      padding: 0 .5rem;
      overflow-y: auto;
      height: 100%;
      max-height: 100%;
      table {
        thead {
          border: none;
          background-color: white;
          tr {
            background-color: white;
            th {
              white-space: nowrap;
              position: sticky;
              top: 0;
              z-index: 1;
              background-color: white;
              border-color: lightgray;
              text-transform: uppercase;
            }
          }
        }
        tbody {
          border: none;
          tr {
            td {
              font-size: $font-main-size;
              border-color: lightgray;
              button {
                padding: 0 .5rem;
              }
            }
          }
        }
      }
    }
  }
}

#modalNewAccount {
  .modal-header {
    background-color: $color-grey-dark;
    color: $color-yellow-light;
    text-transform: uppercase;
    text-align: center;
    .btn-close {
      
    }
  }
  .modal-body {}
  .modal-footer {}
}

#body-modal-conta {
  .modal-header {
    background-color: $color-grey-dark;
    color: $color-yellow-light;
    text-transform: uppercase;
    text-align: center;
    .btn-close {
      
    }
  }
  .modal-body {}
  .modal-footer {}
}

@media only screen and (max-width: 600px) {}
@media only screen and (max-width: 600px) {}
@media only screen and (max-width: 768px) {
  #modalNewAccount {
    .content-left {
      border-right: 0 !important;
      margin-bottom: 2rem;
      border-bottom: 1px solid #dee2e6;
    }
  }
}
@media only screen and (max-width: 992px) {
  .container-panel {
    .container-header {
      h1 {}
    }
    .container-body {
      .table-header-fixed {
        max-height: 67vh;
        table {
          thead {
            tr {
              th {}
            }
          }
          tbody {
            tr {
              td {}
            }
          }
        }
      }
    }
  }
  #modalNewAccount {
    .modal-dialog {
      max-width: 96vw !important;
    }
  }
}


@media only screen and (max-width: 1200px) {}
